description "Hadoop @HADOOP_DAEMON@"
author "James Page <james.page@ubuntu.com>"

start on runlevel [2345]
stop on runlevel [!2345]

limit nofile 32768 32768

pre-start script
    # Check to ensure hadoop still installed
    test -f /usr/bin/hadoop || { stop ; exit 0; }
    install -d -m 0775 -o root -g hadoop /var/run/hadoop
end script

script
    [ -r /etc/default/hadoop ] && . /etc/default/hadoop
    # Figure out which user to run this hadoop daemon as
    TARGET_USER_NAME="HADOOP_`echo @HADOOP_DAEMON@ | tr a-z A-Z`_USER"
    TARGET_USER=$(eval "echo \$$TARGET_USER_NAME")
    # May need to run as secure datanode - needs testing
    [ -f "@HADOOP_DAEMON@" = "datanode"] && [ -f /usr/bin/jsvc ] \
        && [ -n "$HADOOP_SECURE_DN_USER" ] && TARGET_USER=root
    [ -r /usr/lib/bigtop-utils/bigtop-detect-javahome ] && \
        . /usr/lib/bigtop-utils/bigtop-detect-javahome
    # Call wrapper for upstart
    exec /sbin/start-stop-daemon --start --user $TARGET_USER --name hadoop-@HADOOP_DAEMON@ \
        --chuid $TARGET_USER --chdir $HADOOP_HOME --exec $HADOOP_HOME/bin/hadoop-upstart -- \
        @HADOOP_DAEMON@
end script
